/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

#ifndef _REC_SERVICE_H_
#define _REC_SERVICE_H_

#ifdef __cplusplus
extern "C"
{
#endif

#define SZ_APP_AME				"ReC - Remote Control Service"
#define SZ_SERVICE_NAME			"ReC - Remote Control Service"
#define SZ_SERVICE_DISP_NAME	"ReC - Remote Control Service"
#define SZ_SERVICE_DEPENDENCIES	""


	extern bool						b_exit;
	extern SERVICE_STATUS			g_service_status;
	extern SERVICE_STATUS_HANDLE	g_service_status_handle;
	extern long						g_l_err;
	extern HANDLE					g_main_thread;


	void service_start();
	void service_stop();
	void service_pause();
	void service_continue();
	DWORD WINAPI ServiceMainThread(LPVOID NoUse);
	bool report_status_to_sc_manager
		(
			long l_cur_state,
			long l_exit_code,
			long l_wait
		);

	void WINAPI my_service_ctrl(unsigned long l_ctrl_code);
	void WINAPI my_service_main(long argC, char **argV);

	void cmd_install_service();
	void cmd_remove_service();

#ifdef __cplusplus
}
#endif

#endif
