/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

#if !defined(AFX_L_EXPLORER_H__4F839D41_42CF_11D4_A215_00D0B70FC974__INCLUDED_)
#define AFX_L_EXPLORER_H__4F839D41_42CF_11D4_A215_00D0B70FC974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// L_EXPLORER.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CL_EXPLORER dialog

class CL_EXPLORER : public CDialog
{
// Construction
public:
	bool FetchFileList(CString sz_dir, HTREEITEM hItem);
	bool FetchDirList( CString sz_dir, HTREEITEM hItem);
	CL_EXPLORER(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CL_EXPLORER)
	enum { IDD = IDD_EXPLORE_DLG };
	CListCtrl	m_file_list;
	CTreeCtrl	m_dir_tree;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CL_EXPLORER)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CL_EXPLORER)
	virtual BOOL OnInitDialog();
	afx_msg void OnItemexpandingFileTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedFileTree(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnCancel();
	afx_msg void OnRclickFileList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCopy();
	afx_msg void OnCut();
	afx_msg void OnPaste();
	afx_msg void OnClickFileList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMainDelete();
	afx_msg void OnBtnRefresh();
	afx_msg void OnBtnCopyFrom();
	afx_msg void OnBtnPasteTo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool m_is_cut;
	CString m_sz_file_name;
	CString m_sz_file_path;
	bool b_is_copy;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_L_EXPLORER_H__4F839D41_42CF_11D4_A215_00D0B70FC974__INCLUDED_)
