/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// RemoteManagerDlg.h : header file
//

#if !defined(AFX_REMOTEMANAGERDLG_H__C50CC825_7C2A_11D4_A94B_CAAE0672C775__INCLUDED_)
#define AFX_REMOTEMANAGERDLG_H__C50CC825_7C2A_11D4_A94B_CAAE0672C775__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRemoteManagerDlg dialog

class CRemoteManagerDlg : public CDialog
{
// Construction
public:
	CRemoteManagerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRemoteManagerDlg)
	enum { IDD = IDD_REMOTEMANAGER_DIALOG };
	CStatic	m_static_status;
	CButton	m_btn_stop;
	CButton	m_btn_pause;
	CButton	m_btn_start;
	CString	m_ed_status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRemoteManagerDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRemoteManagerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnStart();
	afx_msg void OnBtnPause();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnBtnStop();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateStatus();
	CToolTipCtrl m_tool_tip;
	CBitmap bmp_stop,bmp_start[5],bmp_pause;
	bool m_mouse_on_mail;
	CBitmap m_bit_start;
	CBitmap m_bit_pause;
	CBitmap m_bit_stop;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REMOTEMANAGERDLG_H__C50CC825_7C2A_11D4_A94B_CAAE0672C775__INCLUDED_)
