/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_MAIN_PROCESS.h: interface for the CL_MAIN_PROCESS class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_L_MAIN_PROCESS_H__9445BAC0_2337_11D4_A209_00D0B70FC974__INCLUDED_)
#define AFX_L_MAIN_PROCESS_H__9445BAC0_2337_11D4_A209_00D0B70FC974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "L_PROCESS_DETAILS.h"
#include "L_FILE_DETAILS.h"

class CL_MAIN_PROCESS
{
public:
	int get_files_count(char* sz_path);
	int populate_file_list(char* sz_path, CL_FILE_DETAILS *file_list);
	CL_MAIN_PROCESS();
	virtual ~CL_MAIN_PROCESS();
	int populate_process_list(CL_PROCESS_DETAILS* arg_process_list);

private:
	int populate_process_details(CL_PROCESS_DETAILS& arg_process_detail, long arg_process_id);
};

#endif // !defined(AFX_L_MAIN_PROCESS_H__9445BAC0_2337_11D4_A209_00D0B70FC974__INCLUDED_)
