/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

#ifndef _L_PROCESS_DETAILS_H_
#define _L_PROCESS_DETAILS_H_

#include "all_defines.h"

class CL_PROCESS_DETAILS  
{
public:
	CL_PROCESS_DETAILS(const CL_PROCESS_DETAILS& arg_process_details);
	CL_PROCESS_DETAILS(const void* arg_process_details);
	CL_PROCESS_DETAILS();
	virtual ~CL_PROCESS_DETAILS();

//private:
	//Data members

	//Process name
	char	m_sz_process_name[M_MAX_PATH];
	//Process ID
	int		m_n_process_id;
	//the concatenated data
	char	m_data[M_MAX_PATH + SIZE_INT];

	operator void*()
	{
		memcpy( m_data, &m_n_process_id, sizeof(m_n_process_id));
		int n_len = strlen( m_sz_process_name);
		memcpy( &m_data[sizeof(m_n_process_id)], m_sz_process_name, n_len);
		m_data[sizeof(m_n_process_id) + n_len] = '\0';
		return m_data;
	}

	int void_len()
	{
		return (strlen(m_sz_process_name) + sizeof(m_n_process_id));
	}

};

#endif
