/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_REQUEST_FORMAT.h: interface for the CL_REQUEST_FORMAT class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_L_REQUEST_FORMAT_H__84197391_2A2D_11D4_A20C_00D0B70FC974__INCLUDED_)
#define AFX_L_REQUEST_FORMAT_H__84197391_2A2D_11D4_A20C_00D0B70FC974__INCLUDED_

#include "all_defines.h"

class CL_REQUEST_FORMAT
{
public:
	int find_delim( char *sz, char *sz_delim);
	char* get_argument(int n_arg, char *data = NULL);

	//Constructor
	CL_REQUEST_FORMAT();
	CL_REQUEST_FORMAT(	char *arg_data,
						int arg_len);
	//Destructor
	virtual ~CL_REQUEST_FORMAT();

	//Data Members
	char m_sz_request_name[MAX_REQUEST_NAME];
	char m_sz_packed_data[MAX_REQUEST_DATA];	//Delimiter used will be |*|*|

};

#endif // !defined(AFX_L_REQUEST_FORMAT_H__84197391_2A2D_11D4_A20C_00D0B70FC974__INCLUDED_)
