/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// ReCServer9x.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "all_defines.h"
#include "GlobalData.h"

DWORD WINAPI main_thread(void *p_v_param);

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
	if (stricmp("-install", lpCmdLine) == 0)
	{
		char sz_path[MAX_PATH];

		if (GetModuleFileName(	NULL,
								sz_path,
								MAX_PATH) == 0)
		{
			return 0;
		}

		HKEY p_key;
		RegOpenKey(	HKEY_LOCAL_MACHINE,
					"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run",
					&p_key);
		RegSetValueEx(	p_key,
						"ReC Server",
						0,
						REG_SZ,
						(const unsigned char*)sz_path,
						strlen(sz_path));
		RegCloseKey(p_key);
	}
	else if (stricmp("-remove", lpCmdLine) == 0)
	{
		HKEY p_key;
		RegOpenKey(	HKEY_LOCAL_MACHINE,
					"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run",
					&p_key);
		RegDeleteValue(p_key, "ReC Server");
		RegCloseKey(p_key);
	}
	else
	{
 		HANDLE hmain = CreateThread(	NULL,
										NULL,
										main_thread,
										NULL,
										NULL,
										NULL);

		WaitForSingleObject(	hmain,
								INFINITE);
	}
	return 0;
}



