/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_SHUT.cpp : implementation file
//

#include "stdafx.h"
#include "ReCClient.h"
#include "L_SHUT.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CL_SHUT dialog


CL_SHUT::CL_SHUT(CWnd* pParent /*=NULL*/)
	: CDialog(CL_SHUT::IDD, pParent)
{
	//{{AFX_DATA_INIT(CL_SHUT)
	m_shut = -1;
	//}}AFX_DATA_INIT
}


void CL_SHUT::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CL_SHUT)
	DDX_Radio(pDX, IDC_RB_SHUT, m_shut);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CL_SHUT, CDialog)
	//{{AFX_MSG_MAP(CL_SHUT)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CL_SHUT message handlers

BOOL CL_SHUT::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_shut = 0;
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
