/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_VIEW_DATA_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "ReCClient.h"
#include "L_GENERIC_SOCKET.h"
#include "L_VIEW_DATA_DLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern SOCKET g_sock_client;
extern bool g_is_connected;
/////////////////////////////////////////////////////////////////////////////
// CL_VIEW_DATA_DLG dialog


CL_VIEW_DATA_DLG::CL_VIEW_DATA_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(CL_VIEW_DATA_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CL_VIEW_DATA_DLG)
	m_ed_text = _T("");
	//}}AFX_DATA_INIT
}


void CL_VIEW_DATA_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CL_VIEW_DATA_DLG)
	DDX_Text(pDX, IDC_ED_TEXT, m_ed_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CL_VIEW_DATA_DLG, CDialog)
	//{{AFX_MSG_MAP(CL_VIEW_DATA_DLG)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CL_VIEW_DATA_DLG message handlers

BOOL CL_VIEW_DATA_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	FetchData();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CL_VIEW_DATA_DLG::FetchData()
{
	m_ed_text = "";
	CString sz_data;
	sz_data = "ViewLoggedData|*|*|";
	if(CL_GENERIC_SOCKET::Send(	g_sock_client,
								(void*)(LPCTSTR)sz_data,
								sz_data.GetLength()) < sz_data.GetLength())
	{
		CReCClientApp::ShowError();
		return;
	}

	char sz_proc_data[512];
	while(1)
	{
		int n_bytes_to_come;
		int n_int_size = sizeof(int);
		if(CL_GENERIC_SOCKET::Receive(	g_sock_client,
										(void *)&n_bytes_to_come,
										sizeof(int)) < n_int_size)
		{
			CReCClientApp::ShowError();
			return;
		}
		else
		{
			if(CL_GENERIC_SOCKET::Receive(	g_sock_client,
											sz_proc_data,
											n_bytes_to_come) < n_bytes_to_come)
			{
				CReCClientApp::ShowError();
				return;
			}
			else
			{
				sz_proc_data[n_bytes_to_come] = '\0';
				if(stricmp(sz_proc_data, "FINISH") == 0)
					break;
				CString sz_temp = sz_proc_data;
				m_ed_text += sz_temp;
			}
		}
	}
	m_ed_text.Replace("\n","\r\n");
	UpdateData(FALSE);
}
